Package ru.bitel.bgbilling.modules.bill.common.bean

# Class BankAccount

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.bill.common.bean.BankAccount

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class BankAccount extends IdTitle
Замена для bitel.billing.server.bill.bean.Account. Пока два класса, для 6.2-7.0.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `BankAccount.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BankAccount()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BankAccount.Builder`
  `builder()`
  `String`
  `getAccount()`
  `String`
  `getBankIdentificationCode()`
  `String`
  `getBankTitle()`
  `String`
  `getComment()`
  `String`
  `getCorrespondentAccount()`
  `long`
  `getGroupMask()`
  `int`
  `getOrganizationId()`
  `String`
  `getPaymentType()`
  `int`
  `getPaymentTypeId()`
  `boolean`
  `isDefaultAccount()`
  `boolean`
  `isInUse()`
  `void`
  `setAccount(String account)`
  `void`
  `setBankIdentificationCode(String bik)`
  `void`
  `setBankTitle(String bankTitle)`
  `void`
  `setComment(String comment)`
  `void`
  `setCorrespondentAccount(String correspondentAccount)`
  `void`
  `setDefaultAccount(boolean defaultAccount)`
  `void`
  `setGroupMask(long groupMask)`
  `void`
  `setInUse(boolean inUse)`
  `void`
  `setOrganizationId(int organizationId)`
  `void`
  `setPaymentType(String paymentType)`
  `void`
  `setPaymentTypeId(int pid)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### BankAccount

    public BankAccount()

- ## Method Details

  - ### getAccount

    public String getAccount()

  - ### getBankIdentificationCode

    public String getBankIdentificationCode()

  - ### getBankTitle

    public String getBankTitle()

  - ### getComment

    public String getComment()

  - ### getCorrespondentAccount

    public String getCorrespondentAccount()

  - ### getGroupMask

    public long getGroupMask()

  - ### getOrganizationId

    public int getOrganizationId()

  - ### getPaymentType

    public String getPaymentType()

  - ### getPaymentTypeId

    public int getPaymentTypeId()

  - ### isDefaultAccount

    public boolean isDefaultAccount()

  - ### isInUse

    public boolean isInUse()

  - ### setAccount

    public void setAccount(String account)

  - ### setBankIdentificationCode

    public void setBankIdentificationCode(String bik)

  - ### setBankTitle

    public void setBankTitle(String bankTitle)

  - ### setComment

    public void setComment(String comment)

  - ### setCorrespondentAccount

    public void setCorrespondentAccount(String correspondentAccount)

  - ### setDefaultAccount

    public void setDefaultAccount(boolean defaultAccount)

  - ### setGroupMask

    public void setGroupMask(long groupMask)

  - ### setInUse

    public void setInUse(boolean inUse)

  - ### setOrganizationId

    public void setOrganizationId(int organizationId)

  - ### setPaymentType

    public void setPaymentType(String paymentType)

  - ### setPaymentTypeId

    public void setPaymentTypeId(int pid)

  - ### builder

    public static BankAccount.Builder builder()